Package org.picocontainer.lifecycle

# Class ReflectionLifecycleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.lifecycle.ReflectionLifecycleException

All Implemented Interfaces:
  `Serializable`

public class ReflectionLifecycleException extends PicoException
Subclass of `PicoException` that is thrown when there is a problem invoking lifecycle methods via reflection.

Author:
  Paul Hammant, Mauro Talevi
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ReflectionLifecycleException(String message, Throwable cause)`
Construct a new exception with the specified cause and the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReflectionLifecycleException

protected ReflectionLifecycleException(String message, Throwable cause)
Construct a new exception with the specified cause and the specified detail message.

Parameters:
  `message` - the message detailing the exception.
  `cause` - the exception that caused this one.